Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -41,9 +41,9 @@
 
     @Column(name = "verified_by_employee")
-    private Integer verifiedByEmployeeId;
+    private int verifiedByEmployeeId;
 
     public Adopter(LocalDate dateCreated, String name, String email, String password, String telephone,
                    FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing,
-                   PhysicalActivity physicalActivity, boolean willFoster, boolean verified) {
+                   PhysicalActivity physicalActivity, boolean willFoster, boolean verified, int verifiedByEmployeeId) {
         super(dateCreated, name, email, password, telephone);
         this.freeTime = freeTime;
@@ -55,4 +55,5 @@
         this.willFoster = willFoster;
         this.verified = verified;
+        this.verifiedByEmployeeId = verifiedByEmployeeId;
     }
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -16,5 +16,5 @@
 
     @Column(name = "id_shelter", nullable = false)
-    private Integer shelterId;
+    private int shelterId;
 
     @Column(name = "is_verified", nullable = false)
@@ -22,12 +22,13 @@
 
     @Column(name = "verified_by_admin")
-    private Integer verifiedByAdminId;
+    private int verifiedByAdminId;
 
     public Employee(LocalDate dateCreated, String name, String email, String password, String telephone,
-                    String position, int shelterId, boolean verified) {
+                    String position, int shelterId, boolean verified, int verifiedByAdminId) {
         super(dateCreated, name, email, password, telephone);
         this.position = position;
         this.shelterId = shelterId;
         this.verified = verified;
+        this.verifiedByAdminId = verifiedByAdminId;
     }
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -21,5 +21,5 @@
 
     @Column(name = "id_organisation")
-    private Integer organisationId;
+    private int organisationId;
 
     @Column(name = "name_shelter", nullable = false, length = 100)
@@ -29,5 +29,5 @@
     private String email;
 
-    public Shelter(String address, String telephone, Integer organisationId, String name, String email) {
+    public Shelter(String address, String telephone, int organisationId, String name, String email) {
         this.address = address;
         this.telephone = telephone;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -5,5 +5,4 @@
 import org.springframework.stereotype.Repository;
 
-
 @Repository
 public interface AdopterRepository extends JpaRepository<Adopter, Integer> {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -2,9 +2,6 @@
 
 import finki.paw5.model.entities.Employee;
-import finki.paw5.model.entities.Shelter;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.stereotype.Repository;
-
-import java.util.List;
 
 @Repository
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -5,6 +5,4 @@
 import org.springframework.stereotype.Repository;
 
-import java.util.List;
-
 @Repository
 public interface ShelterRepository extends JpaRepository<Shelter, Integer> {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -4,13 +4,11 @@
 import finki.paw5.model.entities.Employee;
 import finki.paw5.model.entities.User;
-import finki.paw5.model.enumerations.FreeTime;
-import finki.paw5.model.enumerations.Funds;
-import finki.paw5.model.enumerations.Housing;
-import finki.paw5.model.enumerations.PhysicalActivity;
+
+import java.util.Optional;
 
 public interface AuthService {
     User login (String email, String password);
-    Adopter registerAdopter(String name, String email, String password, String telephone, FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing, PhysicalActivity physicalActivity, boolean willFoster);
-    Employee registerEmployee(String name, String email, String password, String telephone, String position, Integer shelterId);
+//    Adopter registerAdopter(String password, String repeatPassword, String name, String email, String telephone);
+//    Employee registerEmployee(String password, String repeatPassword, String name, String email, String telephone);
 
 }
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/OrganisationService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/OrganisationService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ 	(revision )
@@ -1,9 +1,0 @@
-package finki.paw5.service;
-
-import finki.paw5.model.entities.Organisation;
-
-import java.util.List;
-
-public interface OrganisationService {
-    List<Organisation> findAll();
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -3,9 +3,7 @@
 import finki.paw5.model.entities.Shelter;
 
-import java.util.List;
 import java.util.Optional;
 
 public interface ShelterService {
     Optional<Shelter> findById(Integer id);
-    List<Shelter> listShelters();
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImpl.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -1,13 +1,6 @@
 package finki.paw5.service.implementation;
 
-import finki.paw5.model.entities.Adopter;
-import finki.paw5.model.entities.Employee;
 import finki.paw5.model.entities.User;
-import finki.paw5.model.enumerations.FreeTime;
-import finki.paw5.model.enumerations.Funds;
-import finki.paw5.model.enumerations.Housing;
-import finki.paw5.model.enumerations.PhysicalActivity;
-import finki.paw5.repository.AdopterRepository;
-import finki.paw5.repository.EmployeeRepository;
+import finki.paw5.model.exceptions.NonExistingArgumentsException;
 import finki.paw5.repository.UserRepository;
 import finki.paw5.service.AuthService;
@@ -15,4 +8,6 @@
 
 import java.time.LocalDate;
+import java.util.Objects;
+import java.util.Optional;
 
 @Service
@@ -20,11 +15,7 @@
 
     private final UserRepository userRepository;
-    private final AdopterRepository adopterRepository;
-    private final EmployeeRepository employeeRepository;
 
-    public AuthServiceImpl(UserRepository userRepository, AdopterRepository adopterRepository, EmployeeRepository employeeRepository) {
+    public AuthServiceImpl(UserRepository userRepository) {
         this.userRepository = userRepository;
-        this.adopterRepository = adopterRepository;
-        this.employeeRepository = employeeRepository;
     }
 
@@ -38,16 +29,19 @@
     }
 
-
+    /*
     @Override
-    public Adopter registerAdopter(String name, String email, String password, String telephone, FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing, PhysicalActivity physicalActivity, boolean willFoster) {
-        Adopter adopter = new Adopter(LocalDate.now(), name, email, password, telephone,freeTime,funds,hasOtherPets,hasKids,housing,physicalActivity,willFoster,false);
-        return adopterRepository.save(adopter);
+    public Adopter registerAdopter(String password, String repeatPassword, String name, String email, String telephone) {
+        if (email == null || email.isEmpty() || password == null || password.isEmpty()) {
+            //throw new Exception();
+        }
+        if (!password.equals(repeatPassword)) {
+            //throw new Exception();
+        }
+        if (this.userRepository.findByEmail(email)!=null) {
+            //throw new Exception("Username exists:"+email);
+        }
+        User user = new User(LocalDate.now(), name, email, password, telephone);
+        return userRepository.save(user);
     }
-
-    @Override
-    public Employee registerEmployee(String name, String email, String password, String telephone, String position, Integer shelterId) {
-        Employee employee = new Employee(LocalDate.now(),name, email,password,telephone,position,shelterId,false);
-        return employeeRepository.save(employee);
-    }
-
+    */
 }
Index: ototype Application/Paw5/src/main/java/finki/paw5/service/implementation/OrganisationServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/OrganisationServiceImpl.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ 	(revision )
@@ -1,21 +1,0 @@
-package finki.paw5.service.implementation;
-
-import finki.paw5.model.entities.Organisation;
-import finki.paw5.repository.OrganisationRepository;
-import finki.paw5.service.OrganisationService;
-import org.springframework.stereotype.Service;
-
-import java.util.List;
-@Service
-public class OrganisationServiceImpl implements OrganisationService {
-    private final OrganisationRepository organisationRepository;
-
-    public OrganisationServiceImpl(OrganisationRepository organisationRepository) {
-        this.organisationRepository = organisationRepository;
-    }
-
-    @Override
-    public List<Organisation> findAll() {
-        return organisationRepository.findAll();
-    }
-}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -6,5 +6,4 @@
 import org.springframework.stereotype.Service;
 
-import java.util.List;
 import java.util.Optional;
 
@@ -22,10 +21,3 @@
         return this.shelterRepository.findById(id);
     }
-
-    @Override
-    public List<Shelter> listShelters() {
-        return shelterRepository.findAll();
-    }
-
-
 }
Index: ototype Application/Paw5/src/main/java/finki/paw5/web/controllers/RegisterController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/RegisterController.java	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ 	(revision )
@@ -1,78 +1,0 @@
-package finki.paw5.web.controllers;
-import finki.paw5.model.entities.Adopter;
-import finki.paw5.model.entities.Employee;
-import finki.paw5.model.enumerations.FreeTime;
-import finki.paw5.model.enumerations.Funds;
-import finki.paw5.model.enumerations.Housing;
-import finki.paw5.model.enumerations.PhysicalActivity;
-import finki.paw5.service.AuthService;
-import finki.paw5.service.OrganisationService;
-import finki.paw5.service.ShelterService;
-import jakarta.servlet.http.HttpServletRequest;
-import org.springframework.stereotype.Controller;
-import org.springframework.web.bind.annotation.PostMapping;
-import org.springframework.web.bind.annotation.RequestMapping;
-import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.ui.Model;
-import org.springframework.web.bind.annotation.RequestParam;
-
-@Controller
-@RequestMapping("/register")
-public class RegisterController {
-
-    private final OrganisationService organisationService;
-    private final ShelterService shelterService;
-    private final AuthService authService;
-
-    public RegisterController(OrganisationService organisationService, ShelterService shelterService, AuthService authService) {
-        this.organisationService = organisationService;
-        this.shelterService = shelterService;
-        this.authService = authService;
-    }
-
-    @GetMapping
-    public String getRegisterPage(Model model) {
-        model.addAttribute("shelters", this.shelterService.listShelters());
-        model.addAttribute("organisations", this.organisationService.findAll());
-        return "register";
-    }
-
-    @PostMapping
-    public String registerUser(@RequestParam String name, @RequestParam String email,
-                               @RequestParam String password, @RequestParam String repeatPassword,
-                               @RequestParam String telephone,@RequestParam String role,
-                               HttpServletRequest request) {
-
-        if(role.equals("adopter") & password.equals(repeatPassword)){
-            String freeTime = request.getParameter("freeTime");
-            String funds = request.getParameter("funds");
-            boolean hasOtherPets = Boolean.parseBoolean(request.getParameter("hasOtherPets"));
-            boolean hasKids = Boolean.parseBoolean(request.getParameter("hasKids"));
-            String housing = request.getParameter("housing");
-            String physicalActivity = request.getParameter("physicalActivity");
-            boolean willFoster = Boolean.parseBoolean(request.getParameter("willFoster"));
-
-            FreeTime ft = FreeTime.valueOf(freeTime);
-            Funds f = Funds.valueOf(funds);
-            Housing h = Housing.valueOf(housing);
-            PhysicalActivity pa = PhysicalActivity.valueOf(physicalActivity);
-
-            Adopter adopterUser = authService.registerAdopter(name, email, password, telephone,ft,f,hasOtherPets,hasKids,h,pa,willFoster);
-
-            request.getSession().setAttribute("user",adopterUser);
-            return "redirect:/home";
-        }
-        else if(role.equals("employee") & password.equals(repeatPassword)){
-            Integer shelter = Integer.valueOf(request.getParameter("shelter"));
-            String position = request.getParameter("position");
-
-            Employee employeeUser = authService.registerEmployee(name, email, password, telephone,position,shelter);
-
-            request.getSession().setAttribute("user",employeeUser);
-            return "redirect:/home";
-        }
-
-        return "redirect:/register";
-    }
-
-}
Index: Prototype Application/Paw5/src/main/resources/templates/login.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/login.html	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/resources/templates/login.html	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -53,13 +53,12 @@
 <style>
   body{
-    color: #212121;
+    color: darkslategray;
   }
   form{
-    background-color: lightgray;
+    background-color: bisque;
     text-align: center;
     padding: 20px;
     border-radius: 20px;
     width: 60%;
-    margin-left: 300px;
   }
   body{
@@ -67,5 +66,5 @@
   }
   #button{
-    background-color: #212121;
+    background-color: cadetblue;
     color: azure;
     border: none;
Index: Prototype Application/Paw5/src/main/resources/templates/register.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/register.html	(revision 59a894199429c660f2a3291b12012a53b9485757)
+++ Prototype Application/Paw5/src/main/resources/templates/register.html	(revision a762b3a169f71e93658fcdd291268efb37c9c483)
@@ -2,198 +2,161 @@
 <html lang="en" xmlns:th="http://www.thymeleaf.org">
 <head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
-          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
-    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
-            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
-            crossorigin="anonymous"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
-            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
-            crossorigin="anonymous"></script>
-    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
-            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
-            crossorigin="anonymous"></script>
+  <meta charset="UTF-8">
+  <title>Title</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
 
 </head>
 <body>
 <header>
-    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
-        <div class="container">
-            <a class="navbar-brand" href="/home">Paw 5</a>
-            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
-                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
-                <span class="navbar-toggler-icon"></span>
-            </button>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
 
-            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
-                <ul class="navbar-nav m-auto">
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/home/aboutUs">About us</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
-                    </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/register">Register</a>
-                    </li>
-                </ul>
-            </div>
-        </div>
-    </nav>
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
 </header>
-<div id="middle">
+<h3>You can take one or more roles on our site.</h3>
+<p>You want to adopt or foster a pet? - You are an adopter <br>
+  You want your pet to be adopted by another person? - You are a surendee <br>
+  You want to donate to an organisation protection animal rights? - You are a donor<br>
+  You work in one of our partner's shelters? - You are an employee <br>
+</p>
+<div>
+  <form method="post" action="/register"> <!--vaka e na aud-->
     <h1>Register</h1>
-    <div>
-        <form method="post" action="/register"> <!--vaka e na aud-->
-            <label for="name">Name and surname:</label>
-            <input type="text" id="name" name="name"><br><br>
+    <label for="name">Name and surname:</label>
+    <input type="text" id="name" name="name"><br><br>
 
-            <label for="email">Email:</label>
-            <input type="email" id="email" name="email"><br><br>
+    <label for="email">Email:</label>
+    <input type="email" id="email" name="email"><br><br>
 
-            <label for="password">Password:</label>
-            <input type="password" id="password" name="password"><br><br>
+    <label for="password">Password:</label>
+    <input type="password" id="password" name="password"><br><br>
 
-            <label for="repeatPassword">Repeat password:</label>
-            <input type="password" id="repeatPassword" name="repeatPassword"><br><br>
+    <label for="repeatPassword">Repeat password:</label>
+    <input type="password" id="repeatPassword" name="repeatPassword"><br><br>
 
-            <label for="telephone">Telephone number:</label>
-            <input type="text" id="telephone" name="telephone"><br><br>
-
-          <hr><br><br>
+    <label for="telephone">Telephone number:</label>
+    <input type="text" id="telephone" name="telephone"><br><br>
 
 
-            <!-- Employee -->
-            <label class="role">Register as employee in a shelter</label>
-            <input type="radio" name="role" value="employee"><br><br>
+    <!-- Employee -->
+    <label for="employee">Register as employee in a shelter</label>
+    <input type="checkbox" id="employee" name="employee" value="yes"><br><br>
 
-            <label for="shelter">For which shelter do you work for?</label>
-            <select id="shelter" name="shelter">
+    <label for="shelter">From which organisation are you coming from?</label>
+    <select id="shelter" name="shelter" class="form-control">
 
-                <option
-                        th:each="sh : ${shelters}"
-                        th:value="${sh.getId()}"
-                        th:text="${sh.getName()}">
-                </option>
+      <option
+              th:each="sh : ${shelters}"
+              th:value="${sh.getId()}"
+              th:text="${sh.getName()}">
+      </option>
 
-            </select><br><br>
+    </select>
 
-            <label for="position">Position:</label>
-            <input type="text" id="position" name="position"><br><br>
-
-          <hr><br><br>
+    <label for="position">Register as employee in a shelter</label>
+    <input type="text" id="position" name="position" value="yes"><br><br>
 
 
-            <!-- Adopter -->
-            <label class="role">Register as an adopter</label>
-            <input type="radio" name="role" value="adopter"><br><br>
+    <!-- Adopter -->
+    <label for="adopter">Register as adopter</label>
+    <input type="checkbox" id="adopter" name="adopter" value="yes"><br><br>
 
-            <p>
-                *the following information is needed so we can provide our best services for you*
-            </p>
+    <label for="freeTime">Free time:</label>
+    <select id="freeTime" name="freeTime">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
 
-            <label for="freeTime">Free time:</label>
-            <select id="freeTime" name="freeTime">
-                <option value="LOW">low</option>
-                <option value="MEDIUM">medium</option>
-                <option value="HIGH">high</option>
-            </select><br><br>
+    <label for="funds">Finances:</label>
+    <select id="funds" name="funds">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
 
-            <label for="funds">Finances:</label>
-            <select id="funds" name="funds">
-                <option value="LOW">low</option>
-                <option value="MEDIUM">medium</option>
-                <option value="HIGH">high</option>
-            </select><br><br>
+    <label for="hasOtherPets">You keep other pets</label>
+    <input type="checkbox" id="hasOtherPets" name="hasOtherPets" value="yes"> Yes <br><br>
 
-            <label>Do you keep other pets?</label>
-            <input type="radio" class="hasPets" name="hasOtherPets" value=true> Yes
-            <input type="radio" class="hasPets" name="hasOtherPets" value=false> No <br><br>
+    <label for="hasKids">The adopted pet will have interaction with kids</label>
+    <input type="checkbox" id="hasKids" name="hasKids" value="yes"><br><br>
 
-            <label>Will the adopted pet have interaction with kids?</label>
-            <input type="radio" name="hasKids" value=true>Yes
-            <input type="radio" name="hasKids" value=false>No<br><br>
+    <label for="housing">Housing:</label>
+    <select id="housing" name="housing">
+      <option value="APARTMENT">apartment</option>
+      <option value="HOUSE">house</option>
+    </select><br><br>
 
-            <label for="housing">Housing:</label>
-            <select id="housing" name="housing">
-                <option value="APARTMENT">apartment</option>
-                <option value="HOUSE">house</option>
-            </select><br><br>
+    <label for="physicalActivity">Physical activity:</label>
+    <select id="physicalActivity" name="physicalActivity">
+      <option value="LOW">low</option>
+      <option value="MEDIUM">medium</option>
+      <option value="HIGH">high</option>
+    </select><br><br>
 
-            <label for="physicalActivity">Physical activity:</label>
-            <select id="physicalActivity" name="physicalActivity">
-                <option value="LOW">low</option>
-                <option value="MEDIUM">medium</option>
-                <option value="HIGH">high</option>
-            </select><br><br>
+    <label for="willFoster">The adopted pet will have interaction with kids</label>
+    <input type="checkbox" id="willFoster" name="willFoster" value="yes"><br><br>
 
-            <label>Are you willing to foster?</label>
-            <input type="radio" name="willFoster" value=true>Yes
-            <input type="radio" name="willFoster" value=false>No<br><br>
+    <!-- Donor -->
+    <label for="donor">Register as donor</label>
+    <input type="checkbox" id="donor" name="donor" value="yes"><br><br>
 
-          <hr><br>
+    <label for="organisation">From which organisation are you coming from?</label>
+    <select id="organisation" name="organisation">
+      <option value="EVN">EVN</option>
+    </select><br><br>
 
-            <!-- Donor -->
-            <label class="role">Register as donor</label>
-            <input type="radio" name="role" value="donor"><br><br>
+    <!-- Surendee -->
+    <label for="surendee">Register as surendee</label>
+    <input type="checkbox" id="surendee" name="surendee" value="yes"><br><br>
 
-            <label for="organisation">From which organisation are you coming from?</label>
-            <select id="organisation" name="organisation">
-                <option
-                        th:each="sh : ${organisations}"
-                        th:value="${sh.getId()}"
-                        th:text="${sh.getName()}">
-                </option>
-            </select><br><br>
-
-          <hr><br>
-
-            <!-- Surendee -->
-            <label class="role">Register as surendee</label>
-            <input type="radio" name="role" value="surendee"><br><br>
-
-            <input id="button" type="submit" value="Submit">
-        </form>
-    </div>
-  <p>You want to adopt or foster a pet? - You are an adopter <br>
-    You want your pet to be adopted by another person? - You are a surendee <br>
-    You want to donate to an organisation protection animal rights? - You are a donor<br>
-    You work in one of our partner's shelters? - You are an employee <br>
-  </p>
+    <input id="button" type="submit" value="Submit">
+  </form>
 </div>
 </body>
 <style>
-    body {
-        color: #212121;
-    }
-
-    form {
-        background-color: lightgray;
-        text-align: center;
-        padding: 20px;
-        border-radius: 20px;
-        width: 60%;
-        margin-left: 300px;
-    }
-
-    body {
-        font-family: Montserrat, serif;
-    }
-
-    #button {
-        background-color: #212121;
-        color: azure;
-        border: none;
-        height: 40px;
-        width: 80px;
-        border-radius: 20px;
-    }
-    #middle{
-      text-align: center;
-    }
-    .role{
-      color:darkred;
-    }
+  body{
+    color: darkslategray;
+  }
+  form{
+    background-color: bisque;
+    text-align: center;
+    padding: 20px;
+    border-radius: 20px;
+    width: 60%;
+  }
+  body{
+    font-family: Montserrat,serif;
+  }
+  #button{
+    background-color: cadetblue;
+    color: azure;
+    border: none;
+    height: 40px;
+    width: 80px;
+    border-radius: 20px;
+  }
 </style>
 </html>
